extends ../base.jade

block vars
  - var page = 'search', locale = req.getLocale()
  - var searchFields = {post: {text: __('post_m')}, user: {text: __('user_m')}, tag: {text: __('tag_m')}}

block main
  .Filter.FW
    .PW.VA
      form.IB(method="GET", action="/search")
        button.button.press.toRight(type="submit")= __('search')
        - var counter = 0
        - if (entity in searchFields){searchFields[entity].checked = true} else {searchFields.post.checked = true} 
        for val, key in searchFields
          input(id= "filter"+counter, type="radio", name="entity", value= key, checked= (val.checked)? true : false )
          label(for= "filter"+counter)= val.text
          - counter++
        input.text(type="text", name="text", value= req.param('text'))
          

  if results[0]
    case entity
      when 'post'
        .Post.FW
          for item in results
            .item.isle
              div
                img.authorAvatar(src= item.author_id.avatar || '/images/icons/default_avatar.png')
                a.authorName(href= '/user/'+item.author_id.id)= item.author_id.display_name
                span.date #{ Transform.date_to_string( item.createdAt, locale ) } #{ Transform.time_to_string( item.createdAt ) }
              a.title(href="/post/#{item.id}")= item['title_'+locale]

      when 'user'
        .User.FW
          for item in results
            a.item.isle(href="/user/#{item.id}")
              .block_left.VA
                img.avatar(style="vertical-align: middle", src= item.avatar || '/images/icons/default_avatar_big.png')
              .block_right.VA
                span.fullName= item.display_name

              

      when 'tag'
        .Tag.FW
          for item in results
            .isle.item-tag
              a.name(href="/tag/#{item.id}")= item['name_'+locale]
              .isle-helper
                .countPosts(title="Статей связанных с этим тэгом")
                  .counterPosts= item.with_posts.length
                .countEvents(title="Событий связанных с этим тэгом")
                  .counterEvents= item.with_events.length

  else
    p= __('stub_search')
